image: python:3.8

before_script:
  - pip install pipenv
  - pipenv install --dev

stages:
  - analysis
  - test

mllint:
  stage: analysis
  script:
    - pipenv run mllint -o mllint-report.md
  artifacts:
    paths:
      - mllint-report.md
    expire_in: 1 month

unit-test:
  stage: test
  script:
    - pipenv run pytest --html=unit-report.html --junitxml=report.xml rpgt/tests/unit_tests
  artifacts:
    paths:
      - unit-report.html
      - report.xml
    expire_in: 1 month
    reports:
      junit:
        - report.xml